CREATE TABLE `campaigns` (
   `_id`			INTEGER PRIMARY KEY AUTOINCREMENT,
   `qr`				TEXT NOT NULL DEFAULT '' UNIQUE,
   `campaign`		TEXT NOT NULL DEFAULT '',
   `description`	TEXT NOT NULL DEFAULT '',
   `caption`		TEXT NOT NULL DEFAULT '',
   `vendor`			INTEGER NOT NULL DEFAULT 0,
   `value`			REAL NOT NULL DEFAULT 0,
   `costs`			REAL NOT NULL DEFAULT 0,
   `operator`		TEXT NOT NULL DEFAULT '',
   `current`		INTEGER NOT NULL DEFAULT 0,
   `stamps`			INTEGER NOT NULL DEFAULT 0,
   `start_date`		TEXT NOT NULL DEFAULT '',
   `end_date`		TEXT NOT NULL DEFAULT '',
   `timeleft`		INTEGER NOT NULL DEFAULT 0,
   `distance`       REAL NOT NULL DEFAULT 0,
   `sort`           INTEGER NOT NULL DEFAULT 0
);

CREATE TABLE `locations` (
   `_id`			INTEGER PRIMARY KEY UNIQUE,
   `lid`			INTEGER NOT NULL DEFAULT 0 UNIQUE,
   `title`			TEXT NOT NULL DEFAULT '',
   `latitude`		INTEGER NOT NULL DEFAULT 0,
   `longitude`		INTEGER NOT NULL DEFAULT 0,
   `street`			TEXT NOT NULL DEFAULT '',
   `street_number`	TEXT NOT NULL DEFAULT '',
   `zipcode`		TEXT NOT NULL DEFAULT '',
   `city`			TEXT NOT NULL DEFAULT '',
   `country`		TEXT NOT NULL DEFAULT '',
   `phone`			TEXT NOT NULL DEFAULT '',
   `distance`		REAL NOT NULL DEFAULT 0,
   `description`	TEXT NOT NULL DEFAULT '',
   `catid`			INTEGER DEFAULT 0,
   `catids`			TEXT NOT NULL DEFAULT ''
);

CREATE TABLE `locations_for_campaign` (
   `_id`			INTEGER PRIMARY KEY UNIQUE,
   `lid`			INTEGER NOT NULL DEFAULT 0,
   `qr`				TEXT NULL DEFAULT '',
   `location`		TEXT NOT NULL DEFAULT '',
   `latitude`		INTEGER NOT NULL DEFAULT 0,
   `longitude`		INTEGER NOT NULL DEFAULT 0,
   `street`			TEXT NOT NULL DEFAULT '',
   `street_number`	TEXT NOT NULL DEFAULT '',
   `zipcode`		TEXT NOT NULL DEFAULT '',
   `city`			TEXT NOT NULL DEFAULT '',
   `country`		TEXT NOT NULL DEFAULT '',
   `distance`		REAL NOT NULL DEFAULT 0,
   `description`	TEXT NOT NULL DEFAULT '',
   `catid`          INTEGER DEFAULT 0,
   `sort`           INTEGER NOT NULL DEFAULT 0
);

CREATE UNIQUE INDEX main.unique_l4c ON locations_for_campaign(lid, qr);

CREATE TABLE `my_codes` (
   `_id`			INTEGER PRIMARY KEY AUTOINCREMENT,
   `qr`				TEXT NOT NULL DEFAULT '' UNIQUE,
   `campaign`		TEXT NOT NULL DEFAULT '',
   `description`	TEXT NOT NULL DEFAULT '',
   `caption`		TEXT NOT NULL DEFAULT '',
   `costs`			REAL NOT NULL DEFAULT 0,
   `vendor`			TEXT NOT NULL DEFAULT '',
   `operator`		TEXT NOT NULL DEFAULT '',
   `current`		INTEGER NOT NULL DEFAULT 0,
   `stamps`			INTEGER NOT NULL DEFAULT 0,
   `start_date`		TEXT NOT NULL DEFAULT '',
   `end_date`		TEXT NOT NULL DEFAULT '',
   `honored`		INTEGER NOT NULL DEFAULT 0,
   `honored_on`		TEXT NOT NULL DEFAULT ''
);

CREATE TABLE `categories` (
   `_id`			INTEGER PRIMARY KEY AUTOINCREMENT,
   `cid`			INTEGER NOT NULL DEFAULT 0 UNIQUE,
   `title`			TEXT NOT NULL DEFAULT '',
   `count`			INTEGER NOT NULL DEFAULT 0,
   `selected`		INTEGER NOT NULL DEFAULT 1
);

